Subject: [PATCH] ARM: imx: replace imx6q_restart() with mxc_restart()

From: [email-masked] (jiada)
Date: Tue, 29 Oct 2013 20:13:02 -0700

Hi

On 10/28/2013 12:45 AM, Shawn Guo wrote:
> On Sun, Oct 27, 2013 at 07:41:23PM -0700, jiada wrote:
>> as per discussion locally, when do you think you will post the fix patch
>> for the system hang I observed?
>> I would like to test for your patch, and then pull it to my kernel.
>
> Sorry, Jiada.  After another closer look at the fix I provided before,
> it's not correct, because emergency_restart() is a function that is safe
> to call in interrupt context, while migrate_to_reboot_cpu() is not.
> That said, we cannot call migrate_to_reboot_cpu() in emergency_restart()
> at all.
>
> I just found a more easier fix at platform level.  The following is what
> you need to do on your 3.5 kernel.
>
> 1. Apply the following change
>
> https://git.linaro.org/gitweb?p=people/shawnguo/linux-2.6.git;a=commitdiff;h=6050d181a4fd4abb745506a6e565d55f1f9df964
>
> 2. Remove imx_src_prepare_restart() from imx6q_restart().
>
> I will send a patch against the latest kernel.
>
Thanks Shawn, I have verified with these two changes,
system reboot by "echo b > /proc/sysrq-trigger" works
for me.

> Shawn

Thanks,
Jiada